=== debian/changelog ===
deepin-font-manager (5.9.6-1) unstable; urgency=medium

  * update

 -- Rekols <rekols@foxmail.com>  Mon, 17 Jan 2022 13:13:53 +0800

deepin-font-manager (0.1-1) unstable; urgency=medium

  * Initial Release.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 11 Oct 2017 17:38:35 +0800
