=== debian/changelog ===
deepin-font-manager (5.9.13-1) unstable; urgency=medium

  * update

 -- Rekols <rekols@foxmail.com>  Fri, 12 Aug 2022 10:50:05 +0800
