=== debian/control ===
Source: deepin-font-manager
Section: utils
Priority: optional
Maintainer: Rekols <rekols@foxmail.com>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 cmake,
 libdtkwidget-dev,
 libdtkgui-dev,
 qttools5-dev-tools,
 libqt5svg5-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libdde-file-manager-dev,
 deepin-gettext-tools,
 libgtest-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-font-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: deepin-font-installer
Conflicts: deepin-font-installer
Description: Deepin Font Manager binary
 Font manager is a powerful font management tool. With Font Manager, you are not only able to search, install, enable, disable and delete fonts among others, but also preview fonts by inputting texts and setting the text size. It supports fonts in ttf, ttc and otf formats.
