=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,7 @@
-#/*****************************************************************************
-#* Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
-#*
-#* Author:     Xiao Zhiguo <xiaozhiguo@uniontech.com>
-#* Date:       2020-09-09
-#*
-#* Maintainer: Xiao Zhiguo <xiaozhiguo@uniontech.com>
-#*
-#* This program is free software: you can redistribute it and/or modify
-#* it under the terms of the GNU General Public License as published by
-#* the Free Software Foundation, either version 3 of the License, or
-#* any later version.
-#*
-#* This program is distributed in the hope that it will be useful,
-#* but WITHOUT ANY WARRANTY; without even the implied warranty of
-#* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#* GNU General Public License for more details.
-#*
-#* You should have received a copy of the GNU General Public License
-#* along with this program.  If not, see <http://www.gnu.org/licenses/>.
-#*
-#*****************************************************************************/
-
+# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 ADD_COMPILE_OPTIONS(-fno-access-control)
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage -fno-inline")
