=== debian/changelog ===
deepin-font-manager (5.9.14-1) unstable; urgency=medium

  * update

 -- Rekols <rekols@foxmail.com>  Thu, 17 Nov 2022 10:42:21 +0800

deepin-font-manager (5.9.13) unstable; urgency=medium

  * New version 5.9.13.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 29 Aug 2022 10:08:00 +0800
