=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Package: deepin-font-manager
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: uos-reporter, deepin-event-log
 Replaces: deepin-font-installer
 Conflicts: deepin-font-installer
 Description: Deepin Font Manager binary
