## deepin-font-manager 6.0.3

=== debian/changelog ===
deepin-font-manager (6.0.3) unstable; urgency=medium

  * New version 6.0.3

 --  fengli<fengli@uniontech.com>  Mon, 27 Nov 2023 13:45:25 +0800

deepin-font-manager (6.0.2) unstable; urgency=medium

  * feat: adapt to compact mode
  * feat: adapt to dde-file-manager preview plugin

 -- fengli<fengli@uniontech.com>  Tue, 24 Oct 2023 11:13:01 +0800

deepin-font-manager (6.0.1) unstable; urgency=medium

  * fix: batch install error from dde-file-manager
  * chore(CI): add obs workflow

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 May 2023 13:05:27 +0800
