=== debian/changelog ===
deepin-font-manager (6.5.3) unstable; urgency=medium

  * New version 6.5.3

 -- re2zero <yangwu@uniontech.com>  Fri, 27 Sep 2024 17:25:16 +0800

deepin-font-manager (6.5.2) unstable; urgency=medium

  * New version 6.5.2
  * Slimming down the linglong layer package.

 -- re2zero <yangwu@uniontech.com>  Fri, 27 Sep 2024 14:55:16 +0800

deepin-font-manager (6.5.1) unstable; urgency=medium

  * feat: [translation]add transifex config(Task: 361363)

 -- renbin <renbin@uniontech.com>  Fri, 20 Sep 2024 14:27:30 +0800

deepin-font-manager (6.5.0) unstable; urgency=medium

  * New version 6.5.0
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-font-manager (6.0.4) unstable; urgency=medium

  * changelog 6.0.4

 --  muyuankai<muyuankai@uniontech.com>  Wed, 13 Mar 2024 14:42:45 +0800
