## deepin-font-manager 6.5.15

=== deepin-font-preview-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -21,9 +21,9 @@
 #*
 #*****************************************************************************/
 
-find_package(dfm-base)
+find_package(dfm${DTK_VERSION}-base)
 PKG_SEARCH_MODULE(DeepinFileManager dde-file-manager IMPORTED_TARGET)
-if (dfm-base_FOUND)
+if (dfm${DTK_VERSION}-base_FOUND)
     message("dfm-base founded.")
     add_definitions(-DDFM_BASE)
 elseif(DeepinFileManager_FOUND)
@@ -53,11 +53,11 @@
 set(LIBS
     ${FREETYPE_LIBRARIES}
     PkgConfig::FontConfig
-    ${DtkWidget_LIBRARIES}
-    Qt5::Core
-    Qt5::Widgets
-    Qt5::Gui
-    Qt5::Sql
+    Dtk${DTK_VERSION}::Widget
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::Sql
     )
 if (dfm-base_FOUND)
     list(APPEND LIBS dfm-base)
