=== debian/changelog ===
deepin-font-manager (6.5.15) unstable; urgency=medium

  * Update version to 6.5.15.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 14 May 2025 11:22:05 +0800

deepin-font-manager (6.5.14) unstable; urgency=medium

  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:10:05 +0800

deepin-font-manager (6.5.13) unstable; urgency=medium

  * chore: New version 6.5.13.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 02 Apr 2025 18:15:43 +0800

deepin-font-manager (6.5.12) unstable; urgency=medium

  * chore: New version 6.5.12.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 02 Apr 2025 15:55:51 +0800

deepin-font-manager (6.5.11) unstable; urgency=medium

  * Bump version to 6.5.11

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:37:44 +0800

deepin-font-manager (6.5.10) unstable; urgency=medium

  * Update version to 6.5.10
  * Update linglong.yaml for new base

 -- wangrong <wangrong@uniontech.com>  Tue, 18 Feb 2025 16:35:32 +0800

deepin-font-manager (6.5.9) unstable; urgency=medium

  * Update version to 6.5.9

 -- wangrong <wangrong@uniontech.com>  Tue, 21 Jan 2025 20:30:30 +0800

deepin-font-manager (6.5.8) unstable; urgency=medium

  * chore: New version 6.5.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 20 Jan 2025 11:35:40 +0800

deepin-font-manager (6.5.7) unstable; urgency=medium

  * chore: New version 6.5.7.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 14:07:46 +0800

deepin-font-manager (6.5.6) unstable; urgency=medium

  * Update version to 6.5.6

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 14:35:52 +0800

deepin-font-manager (6.5.5) unstable; urgency=medium

  * Update version to 6.5.5

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:27:39 +0800

deepin-font-manager (6.5.4) unstable; urgency=medium

  * New version 6.5.4

 -- re2zero <yangwu@uniontech.com>  Sat, 30 Nov 2024 13:58:04 +0800
