## deepin-font-manager 6.5.19

=== debian/changelog ===
deepin-font-manager (6.5.19) unstable; urgency=medium

  * chore: New version 6.5.19.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 17:42:33 +0800

deepin-font-manager (6.5.18) unstable; urgency=medium

  * chore: New version 6.5.18.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 15:45:50 +0800

deepin-font-manager (6.5.17) unstable; urgency=medium

  * chore: New version 6.5.17.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:03:28 +0800

deepin-font-manager (6.5.16) unstable; urgency=medium

  * chore: Add position-independent code flags for CMake

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 18:23:38 +0800
