## deepin-font-manager 6.5.25

=== deepin-font-preview-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,8 @@
     message("dde-file-manager founded.")
 endif()
 
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
 
 #libdeepin-font-manager
 SET(LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libdeepin-font-manager)
