=== debian/changelog ===
deepin-font-manager (6.5.25) unstable; urgency=medium

  * chore: update the help manual

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 17 Jul 2025 20:20:48 +0800

deepin-font-manager (6.5.24) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 17:55:33 +0800

deepin-font-manager (6.5.23) unstable; urgency=medium

  * chore: Update linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 17:24:10 +0800

deepin-font-manager (6.5.22) unstable; urgency=medium

  * chore: Update linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 16:54:09 +0800

deepin-font-manager (6.5.21) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 16:21:01 +0800

deepin-font-manager (6.5.20) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Jul 2025 10:44:50 +0800
