=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
  debhelper (>= 9),
  pkg-config,
  cmake,
- libdtkwidget-dev,
- libdtkgui-dev,
- qttools5-dev-tools,
- libqt5svg5-dev,
+ libdtk6widget-dev,
+ libdtk6gui-dev,
+ qt6-base-dev,
+ qt6-tools-dev,
+ qt6-tools-dev-tools,
+ qt6-svg-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  dde-file-manager-dev | libdde-file-manager-dev,
