## deepin-font-manager 6.5.29

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,9 +36,14 @@
 SET(CMAKE_AUTORCC ON)
 SET(CMAKE_VERBOSE_MAKEFILE ON)
 
-FIND_PACKAGE(Qt5 COMPONENTS Core Gui Svg Sql Xml DBus Network REQUIRED)
-FIND_PACKAGE(DtkWidget REQUIRED)
-FIND_PACKAGE(DtkGui REQUIRED)
+set(QT_VERSION_MAJOR 6)
+if (${QT_VERSION_MAJOR} GREATER_EQUAL 6)
+    set(DTK_VERSION 6)
+endif()
+
+FIND_PACKAGE(Qt${QT_VERSION_MAJOR} COMPONENTS Core Gui Svg Sql Xml DBus Network LinguistTools REQUIRED)
+FIND_PACKAGE(Dtk${DTK_VERSION}Widget REQUIRED)
+FIND_PACKAGE(Dtk${DTK_VERSION}Gui REQUIRED)
 FIND_PACKAGE(Freetype REQUIRED)
 FIND_PACKAGE(PkgConfig REQUIRED)
