=== deepin-font-manager/CMakeLists.txt ===
--- 
+++ 
@@ -4,15 +4,6 @@
 # SPDX-License-Identifier: GPL-3.0-or-later
 
 SET(APP_BIN deepin-font-manager)
-ADD_EXECUTABLE(${APP_BIN} "")
-
-#编译翻译文件
-SET(TRANSLATE_SHELL ${CMAKE_CURRENT_LIST_DIR}/../deepin-font-manager-assets/translate_generation.sh)
-SET(TRANSLATION_DIR ${CMAKE_CURRENT_LIST_DIR}/../translations)
-EXECUTE_PROCESS(COMMAND ${TRANSLATE_SHELL} WORKING_DIRECTORY ${TRANSLATION_DIR})
-#安装翻译文件
-FILE(GLOB TRANSLATION_FILES ${CMAKE_CURRENT_LIST_DIR}/../translations/*.qm)
-INSTALL(FILES ${TRANSLATION_FILES} DESTINATION share/${APP_BIN}/translations)
 
 #libdeepin-font-manager
 SET(LIB_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../libdeepin-font-manager)
@@ -32,15 +23,37 @@
 include_directories(${CMAKE_BINARY_DIR}/deepin-font-manager)
 CONFIGURE_FILE(environments.h.in environments.h @ONLY)
 
+#编译翻译文件
+file(GLOB TS LIST_DIRECTORIES false ../translations/*.ts)
+set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)
+qt_create_translation(QM ${SRC_FILES} ${TS})
+ADD_EXECUTABLE(${APP_BIN} ${QM})
+#安装翻译文件
+install(DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/../translations
+    DESTINATION share/${APP_BIN}
+    FILES_MATCHING PATTERN "*.qm")
+
 TARGET_SOURCES(${APP_BIN} PRIVATE ${SRC_FILES} ${QRC_FILES} ${LIB_SRC_FILES})
 TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${LIB_DIR})
 TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
 TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/views)
 TARGET_INCLUDE_DIRECTORIES(${APP_BIN} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/interfaces)
 
-TARGET_LINK_LIBRARIES(${APP_BIN} PUBLIC Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Sql Qt5::Xml Qt5::Svg Qt5::DBus Qt5::Network
-                                        ${DtkCore_LIBRARIES} ${DtkWidget_LIBRARIES} ${FREETYPE_LIBRARIES}
-                                        ${FREETYPE_LIBRARIES} PkgConfig::FontConfig)
+TARGET_LINK_LIBRARIES(${APP_BIN} PUBLIC
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::Sql
+    Qt${QT_VERSION_MAJOR}::Xml
+    Qt${QT_VERSION_MAJOR}::Svg
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Network
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Gui
+    Dtk${DTK_VERSION}::Widget
+    ${FREETYPE_LIBRARIES}
+    ${FREETYPE_LIBRARIES}
+    PkgConfig::FontConfig)
 
 INSTALL(TARGETS ${APP_BIN} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
