=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif()
 
 
-FIND_PACKAGE(Qt5Test REQUIRED)
+FIND_PACKAGE(Qt${QT_VERSION_MAJOR}Test REQUIRED)
 FIND_PACKAGE(GTest REQUIRED)
 INCLUDE_DIRECTORIES(${GTEST_INCLUDE_DIRS})
 
@@ -80,9 +80,23 @@
                            ${DtkCore_INCLUDE_DIRS}
                             ${DtkGui_INCLUDE_DIRS})
 
-TARGET_LINK_LIBRARIES(${PROJECT_NAME_TEST} Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Sql Qt5::Xml Qt5::Svg Qt5::DBus Qt5::Network
-            Qt5::Test ${DtkCore_LIBRARIES} ${DtkWidget_LIBRARIES} ${FREETYPE_LIBRARIES}
-            ${FREETYPE_LIBRARIES} PkgConfig::FontConfig  ${GTEST_LIBRARYS} ${GTEST_MAIN_LIBRARYS})
+TARGET_LINK_LIBRARIES(${PROJECT_NAME_TEST}
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::Sql
+    Qt${QT_VERSION_MAJOR}::Xml
+    Qt${QT_VERSION_MAJOR}::Svg
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Network
+    Qt${QT_VERSION_MAJOR}::Test
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Widget
+    ${FREETYPE_LIBRARIES}
+    ${FREETYPE_LIBRARIES}
+    PkgConfig::FontConfig
+    ${GTEST_LIBRARYS}
+    ${GTEST_MAIN_LIBRARYS})
 
 ADD_CUSTOM_TARGET( test
 #    #执行mkdir -p 创建 coverageResult
