=== debian/changelog ===
deepin-font-manager (6.5.29) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 11:19:46 +0800

deepin-font-manager (6.5.28) unstable; urgency=medium

  * Update version to 6.5.28. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 21 Aug 2025 19:23:56 +0800

deepin-font-manager (6.5.27) unstable; urgency=medium

  * feat: Update translations for Lao locale (#169)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 15:04:59 +0800

deepin-font-manager (6.5.26) unstable; urgency=medium

  * Update version to 6.5.26. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 17:06:18 +0800
