## deepin-font-manager 6.5.30

=== debian/changelog ===
deepin-font-manager (6.5.30) unstable; urgency=medium

  * Update version to 6.5.30. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 23 Oct 2025 20:01:35 +0800
